\name{sc.bacello_dbconn}
\alias{sc.bacello_dbconn}
\alias{sc.bacello_dbfile}
\alias{sc.bacello_dbschema}
\alias{sc.bacello_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  sc.bacello_dbconn()
  sc.bacello_dbfile()
  sc.bacello_dbschema(file="", show.indices=FALSE)
  sc.bacello_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{sc.bacello_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{sc.bacello_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{sc.bacello_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{sc.bacello_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{sc.bacello_dbInfo} prints other information about the package annotation
  DB.
}
\examples{
  ## Show the first three rows.
  dbGetQuery(sc.bacello_dbconn(), "select * from bacello limit 3")

  ## The connection object returned by sc.bacello_dbconn() was created with:
  dbConnect(SQLite(), dbname=sc.bacello_dbfile(), cache_size=64000, synchronous=0)

  sc.bacello_dbschema()

  sc.bacello_dbInfo()
}
